import re


def validate_license(key: str) -> bool:
    """Write a regex that matches a PyBites license key
      (e.g. PB-U8N435EH-PG65PW87-IXPWQG5T-898XSZI4)
   """
    return bool(re.search(r"^PB(-[A-Z0-9]{8}){4}$", key))


# Pybites solution
def validate_license1(key: str) -> bool:
    """Write a regex that matches a PyBites license key
       (e.g. PB-U8N435EH-PG65PW87-IXPWQG5T-898XSZI4)
    """
    return bool(re.match(r"^PB-[A-Z0-9]{8}(?:-[A-Z0-9]{8}){3}$", key))
