from name import (
    NAMES,
    dedup_and_title_case_names,
    sort_by_surname_desc,
    shortest_first_name,
)


def test_dedup_and_title_case_names():
    names = dedup_and_title_case_names(NAMES)
    assert names.count("Bob Belderbos") == 1
    assert names.count("julian sequeira") == 0
    assert names.count("Brad Pitt") == 1
    assert len(names) == 10
    assert all(n.title() in names for n in NAMES)


def test_sort_by_surname_desc():
    names = sort_by_surname_desc(NAMES)
    assert names[0] == "Julian Sequeira"
    assert names[-1] == "Alec Baldwin"


def test_shortest_first_name():
    assert shortest_first_name(NAMES) == "Al"
